QgsVectorLayer.Select() works only on Postgis layers, not on shapefiles
Status: Closed

Priority: High

Assignee: Jürgen Fischer

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13979

Description

I wrote a PYTHON plugin that does a simple feature select on a QgsVectorLayer:

pnt = <coordinates of mouse click on map >

myLayer= <QgsVectorLayer Object>

tolerance = 1

rectangle = QgsRectangle()

rectangle.setXMinimum (pnt.x() - tolerance)

rectangle.setXMaximum (pnt.x() + tolerance)

rectangle.setYMinimum (pnt.y() - tolerance)

rectangle.setYMaximum (pnt.y() + tolerance)

myLayer.select(rectangle , True)

    -  in QGIS 1.6 this code works with both shapefiles and postgis layers,

    -  in QGIS 1.7 it works ONLY in postgis layers, on shapefile layers it always returns 0 features.

Associated revisions

Revision 0d91c81f - 2011-06-27 12:01 PM - Jürgen Fischer

fix #3987

Revision f780d703 - 2011-09-22 09:45 PM - Jürgen Fischer

fix #3987

History

#1 - 2011-06-24 05:27 AM - luca76 -

- File testSelection.zip added

I am attaching a ZIP of a test plugin with select() function.

On 1.7 it works ONLY on PostGIS layers, NOT on SHP/spatialite layers.

#2 - 2011-06-27 03:02 AM - Jürgen Fischer
fixed in commit:0d91c81f3dd211adadbe2f4929895088d529b69c

#3 - 2011-08-08 01:52 AM - luca76 -

- % Done changed from 0 to 100

- Target version changed from Version 1.7.0 to Version 1.7.1

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Due date set to 2011-07-15

- Assignee set to Jürgen Fischer

- Resolution set to fixed

Files

testSelection.zip 14.9 KB 2011-06-24 luca76 -
